<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Create New Beer</title>
    <link rel="stylesheet" th:href="@{/style.css}" href="style.css"/>
</head>
<body>
<form action="#" th:action="@{/beers/new}" th:object="${beer}" method="post" enctype="multipart/form-data">
    <label th:text="#{beers.header.name}"></label>
    <br>
    <input type="text" th:field="*{name}"/>
    <label  class="error" th:errors="*{name}"></label>
    <br>
    <label th:text="#{beers.header.abv}"></label>
    <br>
    <input type="text" th:field="*{ABV}"/>
    <label class="error" th:errors="*{ABV}"></label>
    <br><br>
    <label th:text="#{beers.header.style}"></label>
    <select th:field="*{styleID}">
        <option th:each="style:${styles}"
        th:value="${style.styleId}"
        th:text="${style.getName()}"></option>
    </select>
    <br><br>
    <label th:text="#{beers.header.brewery}"></label>
    <select th:field="*{breweryID}">
        <option th:each="brewery:${breweries}"
                th:value="${brewery.id}"
                th:text="${brewery.getName()}"></option>
    </select>
    <br><br>
    <label th:text="#{beers.header.country}"></label>
    <select th:field="*{originCountryID}">
        <option th:each="country:${countries}"
                th:value="${country.countryId}"
                th:text="${country.countryName}"></option>
    </select>
    <br><br>
    <label th:text="#{beers.header.description}"></label>
    <input type="text" th:field="*{description}"/>
    <br><br>
    <label th:text="#{beers.header.tags}"></label>
    <input type="text" th:field="*{tags}"/>
    <br><br>
    <table>
        <tr><td>File to upload:</td><td><input type="file" name="file" th:field="*{image}" /></td></tr>
    </table>
    <br><br>
    <input type="submit" value="Save"/>
</form>
</body>
</html>